apache-2.4 – 在debian wheezy上安装apache 2.4

我有一个debian,当我尝试安装apache2.4时

apt-get update
apt-get install apache2

我有2.2版,有谁知道如何安装2.4?

如果你真的需要apache 2.4我会建议你使用jessie来分配你的机器,而不是喘气,如果可能的话,避免使用混合源环境,这会让你进入一个不太常用且支持较少的配置.

否则,如果有一个特定的原因让你想使用2.4或许有一个解决方法来更新你的php文件或其他使其在apache 2.2中工作并保持喘息.

但是如果你真的想进入混合源环境,可以使用apt pinning,这将涉及两个步骤:

>将jessie的源代码添加到/etc/apt/sources.list中
>在/ etc / apt / preferences中添加固定首选项

以下是有关它的更多信息:https://wiki.debian.org/AptPreferences

请注意,随着计算机更新的发展,您可能会面临新的apt依赖性问题,并且您将具有混合依赖关系的apache模块安装到2.2或2.4.如果您的需求是可接受的复杂功能,您可以继续使用它.

相关文章
相关标签/搜索